org.apache.flume.serialization

## Interface Seekable

- All Known Implementing Classes:
    ResettableFileInputStream, ResettableInputStream

      public interface Seekable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `seek(long position)`
    `long` | `tell()`

- - ### Method Detail

    - #### seek

          void seek(long position)
                    throws IOException

      Throws:
        `IOException`

    - #### tell

          long tell()
                    throws IOException

      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.